New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Settings

Set mic PTT shortcut

PUT
/api/v1/settings/mic-ptt-shortcut

Set the mic PTT shortcut. Rejects values outside the allowed dropdown set.

Query Parameters

modifier*Modifier

PTT modifier ('Alt' or 'Ctrl')

key*Key

PTT key

Response Body

Successful Response

application/json
  1. response
success*Success

True on 200

changed*Changed

True if either modifier or key changed

Example Request
curl -X PUT 'http://127.0.0.1:8100/api/v1/settings/mic-ptt-shortcut?modifier=string&key=string'
Example Response
{  "success": true,  "changed": true}